# QuickStart Version 1.8 Release Notes
P/N: 3100900 · 28JUL05

## Introduction

These release notes summarize the changes made for QuickStart version 1.8. They also include information that was not available when the documentation or Help system were released for publication.

Version 1.8 brings many new features and enhancements to the QuickStart series of control panels. Weve improved both the panel CPU and the QuickStart Configuration Utility (QS-CU). This document will help guide you through installation and migration from previous versions to version 1.8.

All future revisions of Version 1.8 for both the QS-CU and the CPU microcode will be compatible. Example: Version 1.81 of the QS-CU will be compatible with version 1.82 of the CPU microcode.

Release notes for previous versions of QuickStart are available on our web site.

These release notes are divided into the following sections:

- Operating system compatibility

- Changes to the QuickStart panel CPU

- Changes to the QuickStart Configuration Utility

- Notes for all QuickStart units

- Installing the configuration utilityand microcode

- Software revisions and compatibility

- Migrating existing projects

- Upgrading QuickStart panel software

- Using Automatic Contact ID

- SRA annunciators

## Operating system compatibility

Version 1.8 of the QuickStart Configuration Utility (QS-CU V1.8) is compatible with the Windows 98, 2000, Me, XP, and NT operating systems. The QS-CU is compatible with Windows XP Service Pack 2.

The QuickStart Online Help requires that you have Internet Explorer 4.0 or later installed on your computer. The compiled HTML help file is not compatible with other web browsers.

To determine which version of Internet Explorer you are using:

1. On the taskbar, click Start then click Internet Explorer.

2. On the Help menu, click About Internet explorer. Internet Explorer upgrades are available free from Microsoft via the Internet.

The version number must be 4.72.3612.1713 or greater. If it is not, you must upgrade to a new version.

We recommended that you upgrade to Internet Explorer version 6.1 SP1. Internet Explorer upgrades are available free from Microsoft via the Internet at:

http://microsoft.com/windows/ie/downloads/archive/default.asp

## Changes to the QuickStart panel CPU

### For all models

Here is a summary of the changes and enhancements made in version 1.8 that apply to all models of the QuickStart panel CPU.

- Enhanced power up integrity checking

- Contact ID messages are assigned automatically. In systems using Contact ID, the number of steps required to program a dialer have been reduced substantially. For more information, see Using automatic Contact ID

- History reports are in reverse chronological order

- The system tracks how many times a user trouble switch is pressed. Now you can program multiple switches that activate the User Trouble pseudo point. The User Trouble pseudo point will only restore when all the activated switches have been restored.

- System commands entered from the front panel have priority over other commands when the control panel is processing multiple events

- Front panel programming prevents you from adding the same output group to a zone more than once

- The Status report for Internal reports (Status > Internal) shows the proper text messages for the AUX circuits on the power supply

- The system displays a warning message when you are about to delete a card during front panel programming

- The system displays a warning message when you enable a card and a point associated with the card is active, regardless of the points device type

- Database retrieval does not remove remote panel switch information. so (Note that QS-CU must be version 1.8 and the CPU microcode must be 1.8)

- Added the Alternate Sensitivity pseudo point (address PP:00:035) to support programming responses for the Alternate Sensitivity command.

- Added the Alternate Routing pseudo point (address PP:00:036) to support programming responses for the Alternate Message Routing command.

- Event messages are removed correctly when there are two event messages from the same point in the same queue. Example, a disabled point that signals a trouble places a disabled event message and a trouble event message in the Trouble queue. Previously, when you enabled the point, the trouble event message was removed instead of the disabled event message.

- The system creates the correct pseudo points for the ZR8 card

- The system only shows On when you select the power supplys user relay to activate

- The user interface responds to key switch removal from all system states. This applies to menus as well as message queue displays.

- Repeaters now access and display the correct information for Outputs Active

- History report queries made immediately after clearing the control panels history log are now correct

- Added the Delayed Outputs pseudo point (address 00:00:018) to support programming responses for the Delay command

Note: This feature is for EN54 markets only and not supported in the NFPA72 and ULC-527 market places.

- Requesting multiple reports no longer causes the control panel to reboot. This issue applied only to Status reports.

- Illegal panels communications are not displayed. Also, if one does talk but isnt valid for the system, the system attempts to restore it during a reconcile operation.

- Service group testing resets only on the control panel. (SLIC points do not do a standard reset. All others show a standard reset. The repeaters display no reset while the system is in test.)

- QSA-series remote annunciators reboot after a failed Save & Sync operation. They reboot into the default database mode.

- The default setting for Drill is now Audibles and Visibles. The default setting for Alarm Silence is now Audibles Only

- Dry Contact replaces Unsupervised Output in front panel programming menus

- You cant disable the DLD card from the control panel command menus

- Choice of channels for network messages was improved (Class A only)

- Outputs process quicker in response to an event.

Note: This feature requires that you use the QuickStart Configuration Utility to program your system. For more information, see Updates to the QuickStart Configuration Utility

### For MIR-QS1, MIR-QS4, QS1, and QS4 systems

Here is a summary of the changes and enhancements made in version 1.8 that apply only to the MIR-QS1, MIR-QS4, QS1, and QS4 models of the QuickStart panel CPU.

- Output devices on a Signature card located at device number 250 are valid

- You can now configure SLIC card notification appliance circuits (NACs) as output device types. Output has been added as a device type option in the front panel programming menus.

- The system no longer reboots during Signature line processing when processing all abnormal points

- Provides support for SuperDuct duct smoke detectors

- The Dirty>80% and Dirty>20% maintenance reports now span multiple cards correctly. Previously, these reports did not show dirty devices on subsequent loops if there werent any dirty devices on the first loop.

- You can now scroll backwards from the end of a maintenance report. Scrolling backwards is limited to approximately 20 elements.

- Improved edit screens for for SIGA-PS and SIGA-SD

- You can now configure Signature Auto-Sync Output modules for personality code 25 (synchronized output)

- Devices added to Signature loops 2, 3, and 4 are automatically assigned the next available device address. Previously, devices added to these loops were automatically assigned the first device address.

- SIGA-MAB cant be incorrectly configured as a dry contact device type

- The system attempts to reconnect to a SLIC card that quits communicating

## Changes to the QuickStart Configuration Utility

Here is a summary list of the changes made in version 1.8 that apply to the QuickStart Configuration Utility (QS-CU).

- An improved Help system

- Installation procedures allow the installation of multiple versions of the QS-CU on the same computer

- Long filenames are allowed for projects. Project names are validated (for allowed characters) when entered.

Note: Long filenames have always been supported. In previous versions a space at the end of the filename caused an error when attempting to open the project. This problem was corrected by preventing a space at the end of the filename.

- The Cabinet Report, Project Configuration dialog box, and Difference Report include a project compile time stamp. This time stamp matches the DB serial number displayed on the CPUs revision report.

- You can import and export a project's change description

- Provides support for SuperDuct duct smoke detectors

- Revision reports show the correct configuration utility version. This change supported in CPU microcode version 1.8 or later.

- The Traditional Zone Card Configuration dialog box displays all circuits without resizing

- Personality code 25 (synchronized output) is now supported for Signature Auto-Sync Output modules configured as alarm output, audible, or output device types. Previously, only visible device types supported personality code 25.

- 0-second delays in responsesare allowed

- When configuring a DLD card, you are no longer required to enter default activation and restoration strings for alarm, supervisory, and trouble events if the default account for these events is set for Contact ID format. Leaving these strings blank allows the system to generate automatic Contact ID dialer messages.

- The DLD card supports commas in the primary and secondary telephone numbers used to dial out to a receiver. When the DLD encounters a comma, it inserts a 2-second delay.

- Envoy annunciators are supported

- The Cabinet Configuration dialog box deletes cards more intelligently when a cabinet type is changed

- All reports now include time stamps

- You can retrieve remote annunciator information from systems with version 1.8 or later microcode

- The Signature DTS module can be configured as a supervisory duct device type

- Uploads no longer cause the CPU to reboot. You can upload information from the QS-CPU at the 38.4k-baud rate.

- The configuration utility displays a warning message when you set an AND group or matrix groups activation count for a number greater than the number of its members

- The Import function prevents projects created by an unknown version of the QS-CU from being opened

- The system error report uses the correct routing

- You can now configure switches to enable and disable points, and to activate a service group test

- You cant change the device number of logic groups

- The correct QS-CU version is now recorded in each database. The QS-CU version is displayed as QS-CU on the CPU revision report. (Formerly, this version was always displayed as 01.00.00.) This change supported in CPU microcode version 1.8 or later.

- Command descriptions on the Correlations form and report are correctly updated

- You can program responses for the Ground Fault pseudo point

- Fast output processing:

When processing responses for an event, the system can only turn on a maximum of 63 synchronized outputs per SLIC card without negatively impacting synchronized strobe operation. An event can activate more than 63 outputs per card but it is not recommended for synchronized strobe operation.

Commands are automatically sorted for optimized operation. When a new command is added it is automatically placed in the optimal position in the response list. When migrating older projects to version 1.8, responses will sort automatically.

For faster output response processing, we recommend that you place all output commands in a single output group

## Notes for all QuickStart units

If your system has remote annunciators that are connected to the control panel using Class A wiring, you need to add a QS-232 card in order to use printers or to connect to the QS-CU.

Coded output operations using the CDR-3 require CDR-3 version 2.0 microcode or later.

The QuickStart system supports the Signature (M)IO module as described below.

Supported personality codes:

- 31 N.O. relay output with monitor input

- 32 N.C. relay output with monitor input

Personality codes not supported:

- 33 N.O. relay output with alarm latching input

- 34 N.C. relay output with alarm latching input

- 35 N.O. relay output with delayed alarm latching input

- 35 N.C. relay output with delayed alarm latching input

- 37 N.O. relay output with active non-latching input

- 38 N.C. relay output with active non-latching input

- 39 N.O. relay output with active latching input

- 40 N.C. relay output with active latching input

## Installing the configuration utilityand microcode

You can install version 1.8 of the QuickStart Configuration Utility (QS-CU) without impacting the installation of previous versions. This allows existing projects to be maintained without needing to update them to the current version. At the same time, new projects can be created with version 1.8 for use in all QuickStart systems.

Prior to installing the new version, we recommend that you export all project files.

When you run the installation program, it installs the new version in a unique directory. The installation program automatically provides the correct location as a default. We recommend that you accept the suggested default setting to prevent overwriting an existing (previous) version of the QS-CU.

Some new features of the QS-CU require version 1.8 of the CPU microcode. These features include the following:

- Test commands

- Enable commands

- Disable commands

- Cancel Delay commands (EN54 marketplace only)

- Envoy graphic annunciator cards

For your convenience, we've included the latest CodeLoader utility on the QuickStart Configuration Utility CD (P/N QS-CU) along with version 1.8 of the microcode.

Install CodeLoader by running the setup program x:\CodeLoader\Setup.exe (where x: is the drive letter of your CD-ROM drive).

For further instructions, refer to the CodeLoader Users Guide, also on the CD.

## Software revisions and compatibility

### Rail card compatible versions

Table 1: QuickStart QS-CU version 1.8 software compatibility

Rail Cards | Oldest* version | Shipping version | Medium | Part number
PS6 | 1.0 | 1.0 | Chip | 7990009
ZB16-4 | 1.0 | 1.1 | Chip | 7990007
ZA8-2 | 1.0 | 1.1 | Chip | 7990016
ZR8 | 1.0 | 1.0 | Chip | 7990013
SLIC | 1.0 | 1.2 | Chip | 7990027
DLD | 1.0 | 1.5 | Chip | 7990008
QSx-CPU** | 1.0 | 1.8 | CD CodeLoader |

* Oldest version still compatible with QS-CU

** The x relates to all versions of CPU code: QSC, QS1, and QS4.

### QS-CU database compatibility

QuickStart QS-CU V1.8 can be used to generate databases for the following CPU types:

Table 2: CPU microcode supported by QS-CU V1.8

QSx-CPU | QS-CU supported microcode versions
QSx-CPU | V1.0, V1.1, V1.2, V1.3, V1.4, V1.41, V1.8

### Latest compatible versions

The following table identifies the most recent version of rail card microcode that is compatible with each QSx-CPU microcode version.

Table 3: Rail card and QSx-CPU microcode compatibility

| QSx-CPU microcode versions
LRM | V1.0 | V1.1 | V1.2 | V1.3 | V1.4X | V1.8
PS6 | V1.0 | V1.0 | V1.0 | V1.0 | V1.0 | V1.0
ZB16-4 * | V1.1 | V1.1 | V1.1 | V1.1 | V1.1 | V1.1
ZA8-2 * | V1.1 | V1.1 | V1.1 | V1.1 | V1.1 | V1.1
ZR8 | V1.0 | V1.0 | V1.0 | V1.0 | V1.0 | V1.0
SLIC * | V1.2 | V1.2 | V1.2 | V1.2 | V1.2 | V1.2
DLD * | V1.5 | V1.5 | V1.5 | V1.5 | V1.5 | V1.5

* All previous revisions of the rail cards are supported by microcode version 1.8 of the CPU.

## Migrating existing projects

Projects created with previous versions of the QS-CU can optionally be migrated to version 1.8. You determine which projects are migrated and which are not. It is not necessary to migrate all older projects to the new version only those that you decide will need the new features offered in version 1.8.

Version 1.8 of the QS-CU supports panel microcode versions 1.0 to 1.8. Features that are not supported in older microcode versions are flagged in an error report.

To migrate an existing project to a version 1.8 project:

1. Open the project using the previous version of the QS-CU.

2. Export your project..

3. Install version 1.8 of the QS-CU.

4. Start version 1.8 of the QS-CU.

5. Import the project you exported previously. The project is converted to version 1.8 during the import process.

6. Save the project.

### Incompatibility concerns

### Version 1.8 projects imported into earlier QS-CU versions

You can import a version 1.8 project into an earlier version of the QS-CU. However, doing so results in an invalid database. No warnings or error messages are given beforehand. It is important that everyone involved with maintaining a given project use the same version of QS-CU.

### QS-CU version 1.8 and earlier CPU versions

The QS-CU will build the correct database for previous releases of the CPU microcode. However, if you select certain features that earlier CPU microcode does not support, the system generates warning messages and error reports when attempting to download the database.

The first warning:

Following this warning message, the system generates an error report. (In this example, the project attempted to assign Latching Supervisory to P:01 C:01 D:002 and Latching Tamper to P:01 C:01 D:003. These types are not supported in CPU version 01.00.00. Also, the project included a panel type that is invalid.)

### Earlier QS-CU version and CPU version 1.8

Projects created with earlier versions of the QS-CU can be downloaded to later versions of the CPU. However, the CPU microcode will flag this as an error and will display error messages on the control panels LCD display. When you download an invalid database the Default Database error messages are displayed. These are described below.

### Default database error messages

The system normal screen displays Need Database where the Facility Name is normally displayed. The system will display these trouble event messages:

001LCL TROUBLE
P:00 C:00 D:004
No Message.

002LCL TROUBLE
P:01 C:00 D:027
No Message.

If an LED/switch card is installed, the system eventually displays this trouble event message...

LCLTROUBLE
Panel01 LED/
Switch Display.

...and this monitor event message:

001MONITOR
P:00 C:00 D:001
No Message.

Previous versions of the QS-CU let you upload the CPU databases. After the upload finishes, the QS-CU checks the database for compatibility issues. If there are any compatibility issues, they are displayed in the following warning message.

At that time you should update the QS-CU to the correct version.

## Upgrading QuickStart panel software

Upgrading a QuickStart system from older microcode to version 1.8 requires the use of CodeLoader. If you are upgrading an existing system, all CPUs in the system (the panel and any annunciators) must be upgraded. Please refer to the CodeLoader Users Guide for detailed instructions.

In general, youll start by determining whether the current project database is available in the QS-CU. If not, you must retrieve the current database from the panel using version 1.8 of the QS-CU and save the project.

Install and start the CodeLoader utility and choose the 1.8 microcode. During the connection process the CodeLoader warns you that the database will be deleted. The microcode takes roughly eight minutes per CPU to transfer. CodeLoader advises you of a successful completion.

Once the microcode has been updated, download the project into the affected CPUs. The download must be done at each CPU. It cannot be done across the network.

## Using Automatic Contact ID

For systems that transmit Contact ID-formatted event messages, QuickStart version 1.8 substantially reduces the number of steps required to program the dialer from the front panel. This version also lets you assign Contact ID messages to system points automatically. You can also use the QS-CU to provide customized dialer entries as in previous versions. In addition to automatically assigning points to dialer messages, version 1.8 uses a simpler method for programming basic dialer information like account and phone numbers.

To support the new features in this microcode version, you must also use version 1.8 of the QS-CU. The new features are described below.

### AutoLearn method

Previous versions required a lengthy series of manual entries in the panel dialer menu to program the necessary information for transmission to a central station. The new process reduces shortens the steps required to enter dialer information.

Here is the sequence of steps required with version 1.8.

1. Log on to the control panel using the level 4 password.

2. From the Main menu, choose Program, and then Configure.

3. On the Configure menu, choose AutoLearn.

4. Press Del twice, and then enter a panel ID of 01.

5. Press Del twice then enter the total number of panels in the system (the control panel plus all remote annunciators).

6. On the Network Class menu, select the wiring configuration (Class A or Class B) of the RS-485 transmission path, and then press Enter.

7. Enter the first telephone number used to connect to the receiver. The telephone number can consist of up to 23 numeric characters.

8. Enter the second telephone number used to connect to the receiver. The telephone number can consist of up to 23 numeric characters.

9. Enter the 4-digit subscriber account number.

10. Enter the time when you want the dialer to perform its 24-hour periodic test. Enter the time in 24-hour format, where HH is the hour and MM is the minutes.

11. On the Dialer Format menu, choose one of the following:

- 4/2 to transmit status changes in 4/2 format

- Contact ID to transmit status changes using the predefined set of Contact ID dialer strings

If you chose Contact ID, skip to step 20. If you chose 4/2, complete the steps below.

12. Enter the number that you want the dialer to send when it performs its 24-hour periodic test and the control panel is in the normal state.

13. Enter the number that you want the dialer to send when it performs its 24-hour periodic test and the control panel is not in the normal state. This number must be distinctively different from the number entered in the previous step.

14. Enter the number that you want the dialer to send when an alarm input is activated (goes into alarm) and the alarm input is not programmed to initiate a custom dialer response This is the default alarm activation string.

15. Enter the number that you want the dialer to send when an active alarm input is restored and the alarm input is not programmed to initiate a custom dialer response This is the default alarm restoration string.

16. Enter the number that you want the dialer to send when a point signals a trouble condition and the point is not programmed to initiate a custom dialer response. This is the default trouble activation string.

17. Enter the number that you want the dialer to send when a point that signaled a trouble condition is restored and the point is not programmed to initiate a custom dialer response. This is the default trouble restoration string.

18. Enter the number that you want the dialer to send when a supervisory input is activated and the supervisory input is not programmed to initiate a custom dialer response This is the default supervisory activation string.

19. Enter the number that you want the dialer to send when an active supervisory input is restored and the supervisory input is not programmed to initiate a custom dialer response This is the default supervisory restoration string.

20. On the Exit menu, choose Save Edits. Wait while the database is updated.

21. On the Update Databases menu, choose Save. Wait while the database is updated.

At this point, the system reboots. If remote annunciators are installed, the additional step of doing a Save & Sync is required to update the annunciator databases. Please refer to your QuickStart Technical Reference Manual for complete instructions on dialer programming.

### Customizable dialer messaging

The QuickStart Technical Reference Manual includes complete tables of each point and the corresponding Contact ID code that is automatically generated and sent by the system.

You can also customize a system in several ways using the QS-CU. To override the automatic message assignment, program a custom dialer string for a selected point. Another way is to enter default event activation and restoration strings when configuring the DLD card.

Heres an example to illustrate customization. Lets assume that a system requires alarm transmission by point but does not require the same detailed reporting for trouble information. In this case, you would enter a general trouble string on the Dialer Configuration dialog box (usually 130000000 and 330000000) leaving the other defaults (alarm and supervisory) blank. After downloading the project, the system will generate automatic responses for alarm and supervisory events based on the Contact ID table, but will send only the default trouble response for any device or system trouble.

Further customization by point can be accomplished by adding dialer strings to the device or zone in the QS-CU Correlation Configuration dialog box. In this case, if a dialer string is added to a specific point, then the string entered is sent to the central station receiver.

### How it works

Any event generated in a QuickStart system goes through a series of tests to determine which dialer message the system will send to the receiving station.

The first test determines whether a dialer event message was programmed for the point signaling the event. If a message was programmed, then it is sent and no further tests are made.

If a message has not been programmed, the system determines whether a default dialer event message was programmed for the type of event generated. If a default dialer event message wasprogrammed, it is sent and no further tests are made.

If neither a point-specific or default dialer event message were programmed, the system sends the AutoCID dialer message. Refer to your QuickStart Technical Reference Manual for more information.

### Changing an existing system to AutoCID

To change an existing system so that it uses AutoCID follow either of the methods described below.

### Method 1

For every point in the system, delete all applicable dialer responses. (You should refer to the standard AutoCID messages and make sure the message you are deleting matches the standard message. Do not delete messages that differ from the standard AutoCID.) You should then change all the default dialer information (Default Alarm Information, Default Supervisory Information, and Default Trouble Information) so that no digits are associated with the activation side or the restoration side. Finally, check to make sure that the default accounts format is set for Contact ID.

### Method 2

Use this method if you did not previously create special output groups for each point on the system (that is, if you added responses to individual device points). You can delete the DLD card from the Cabinet Configuration dialog box. This removes all responses for each point on the system from the database. (This also makes more output groups available for programming use.) If you dont want to use the standard AutoCID messages for specific points, you can create unique responses for those specific points.

## SRA annunciators

QuickStart version 1.8 supports the new SRA annunciators. These annunciators feature easier installation, reduced size, and a simplified user interface. Two versions are available to match the type of QuickStart system: single loop and multiple loop. Both annunciators are shipped from the factory set to address 2.